doctype html
html
  head
    block head
      meta(charset='utf-8')
      meta(name="viewport" content="width=device-width, initial-scale=1")
      meta(http-equiv="X-UA-Compatible" content="IE=edge")
      //- link(rel='stylesheet' href='https://gitlab.com/pimcity/wp3/dvtmp/-/raw/master/public/css/style.css')
      //- link(rel='stylesheet' href='/css/style.css')
      //- link(rel='stylesheet' href='https://fonts.googleapis.com/css?family=Lato:300,300i,700')
      
      link(rel='stylesheet' href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css")
      
      title PIMCity Demonstration | #{title}
      
        
  body
    // HEADER
    nav
      .row
      include _header
        
    // CONTENT
    block content

      
    // FOOTER
    include _footer
    
    script(src='https://cdnjs.cloudflare.com/ajax/libs/axios/0.21.1/axios.min.js')
    //- script(src='https://gitlab.com/pimcity/wp3/dvtmp/-/raw/master/Build/request_handler/public/js/demo.js')
    script.
        const loginForm = document.querySelector('.form--login');

        const hideAlert = () => {
          const el = document.querySelector('.alert');
          if (el) el.parentElement.removeChild(el);
        };
        const showAlert = (type, msg) => {
          hideAlert();
          const markup = `<div class="alert alert--${type}">${msg}</div>`;
          document.querySelector('body').insertAdjacentHTML('afterbegin', markup);
          //- window.setTimeout(hideAlert, 50000);
        };

        if (loginForm)
          loginForm.addEventListener('submit', (e) => {
            e.preventDefault();
            const gender = document.getElementById('gender').value;
            const min_age = Number(document.getElementById('min').value);
            const max_age = Number(document.getElementById('max').value);
            const interest = document.getElementById('interest').value.split(',');
            const priceType = document.getElementById('priceType').value;
            const platform = document.getElementById('platform').value;
            const location = document.getElementById('location').value.split(',');
            const login = async (
              gender,
              interest,
              location,
              max_age,
              min_age,
              platform,
              priceType
              
            ) => {
              try {
                const res = await axios({
                  method: 'POST',
                  url: 'https://easypims.pimcity-h2020.eu/marketplace/auValuator/',
                  data: {
                          gender,
                          interest,
                          max_age,
                          min_age,
                          location,
                          platform,
                          priceType,
                  },
                });
                var txt;
                if (res.status == 201) {
                  txt =
                    'Realtime data \nEstimated Value : ' +
                    Math.round(res.data.data.value * 100) / 100 +
                    ' $';
                } else if (res.status == 200) {
                  txt =
                    'We had the data in our database \n Estimated Value: ' +
                    Math.round(res.data.data.value * 100) / 100 +
                    ' $';
                } else {
                  txt = ' Please revise the inputs';
                }

                showAlert('success', txt);
              } catch (err) {
                var txt = 'Invalid audience; Please change the input'
                showAlert('success', txt)
              }
            };
            login(
              gender,
              interest,
              location,
              max_age,
              min_age,
              platform,
              priceType
              
            );
          });

